<?php
/**
 * Business Interface Customizer sections and panels.
 *
 * @package     Business Interface
 * @author      WPInterface Team
 * @since       1.0.0
 */

/**
 * Do not allow direct script access.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Business_Interface_Customizer_Sections' ) ) :
	/**
	 * Business Interface Customizer sections and panels.
	 */
	class Business_Interface_Customizer_Sections {

		/**
		 * Primary class constructor.
		 *
		 * @since 1.0.0
		 */
		public function __construct() {

			/**
			 * Registers our custom panels in Customizer.
			 */
			add_filter( 'business_interface_customizer_options', array( $this, 'register_panel' ) );
		}

		/**
		 * Registers our custom options in Customizer.
		 *
		 * @since 1.0.0
		 * @param array $options Array of customizer options.
		 */
		public function register_panel( $options ) {

			// General panel.
			$options['panel']['business_interface_panel_general'] = array(
				'title'    => esc_html__( 'General Settings', 'business-interface' ),
				'priority' => 1,
			);

			// Header panel.
			$options['panel']['business_interface_panel_header'] = array(
				'title'    => esc_html__( 'Header', 'business-interface' ),
				'priority' => 3,
			);

			// Footer panel.
			$options['panel']['business_interface_panel_footer'] = array(
				'title'    => esc_html__( 'Footer', 'business-interface' ),
				'priority' => 5,
			);

			// Blog settings.
			$options['panel']['business_interface_panel_blog'] = array(
				'title'    => esc_html__( 'Blog', 'business-interface' ),
				'priority' => 6,
			);

			return $options;
		}
	}
endif;
new Business_Interface_Customizer_Sections();
